<?
/** 
 * @Project GoldMU.Net
 * @copyright 03/03/2022
 * @Email: goldmu.net@gmail.com
 * @Zalo: 0923 117 898
 */
 if (!defined('GoldWebMU')) die("Ban khong co quyen truy cap he thong");

$action = $_GET['action'];

switch ($action){ 
	case 'lock':
        $serial = $_GET['iserial'];
        $vitri = $_GET['vitri'];
        $opd = $_GET['opd'];
        
		if( $sendsv === false ) { echo "Tốc độ xử lý của bạn quá nhanh, vui lòng chờ vài giây rồi tiếp tục thực hiện."; }
		elseif(empty($serial)) {
			echo "<font color='red'>Serial không được để trống.</font><br>";
		}
		elseif(empty($opd)) {
			echo "<font color='red'>OPD không được để trống .</font><br>";
		}
		elseif (!preg_match("/^[a-zA-Z0-9_]*$/i", $serial)){
			echo "<font color='red'>Dữ liệu lỗi - Serial chỉ được sử dụng kí tự a-z, A-Z, số (1-9) và _.</font><br>";
		}
		elseif (!preg_match("/^[a-zA-Z0-9_]*$/i", $opd)){
			echo "<font color='red'>Dữ liệu lỗi - OPD chỉ được sử dụng kí tự a-z, A-Z, số (1-9) và _.</font><br>";
		}
		elseif (!preg_match("/^[0-9]*$/i", $vitri)){
			echo "<font color='red'>Dữ liệu lỗi - Vị trí chỉ được sử dụng số 1-9.</font>";
		}
		else {
			
            $getcontent_url = $server_url . "/sv_char.php";
            $getcontent_data = array(
                'login'    =>  $_SESSION['mu_username'],
                'name'    =>  $_SESSION['mu_nvchon'],
                'action'    =>  'lock',
                'serial'    =>  $serial,
                'opd'   =>  $opd,
                'vitri' =>  $vitri,
                
                'pagesv'	=>	'sv_char_lock_item',
                'string_login'    =>  $_SESSION['checklogin'],
                'passtransfer'    =>  $passtransfer
            );
            
            $reponse = _getContent($getcontent_url, $getcontent_data, $getcontent_method, $getcontent_curl);
        
        	if ( empty($reponse) ) $error_module = "Server bảo trì.";
        	elseif($reponse == "login_other") {
        		$error_module = "Tài khoản đã được đăng nhập trên trình duyệt khác hoặc máy tính khác.";
        		session_destroy();
        	}
        	else {
        		if ( read_TagName($reponse, 'info', 1) == 'OK' ) {
                    $_SESSION['acc_gcoin'] = read_TagName($reponse, 'gcoin', 1);
                    $_SESSION['acc_gcoin_km'] = read_TagName($reponse, 'gcoinkm', 1);
                    echo "OK";
        		} else echo $reponse;
        	}
        }
	break;

	case 'unlock':
        $vitri = $_GET['vitri'];
        $opd = $_GET['opd'];
        
		if( $sendsv === false ) { echo "Tốc độ xử lý của bạn quá nhanh, vui lòng chờ vài giây rồi tiếp tục thực hiện."; }
		elseif(empty($vitri)) {
			echo "<font color='red'>Vị trí không được để trống .</font><br>";
		}
		elseif(empty($opd)) {
			echo "<font color='red'>OPD không được để trống .</font><br>";
		}
		elseif (!preg_match("/^[a-zA-Z0-9_]*$/i", $opd)){
			echo "<font color='red'>Dữ liệu lỗi - OPD chỉ được sử dụng kí tự a-z, A-Z, số (1-9) và _.</font><br>";
		}
		elseif (!preg_match("/^[0-9]*$/i", $vitri)){
			echo "<font color='red'>Dữ liệu lỗi - Vị trí chỉ được sử dụng số 1-9.</font>";
		}
		else {
			
            $getcontent_url = $server_url . "/sv_char.php";
            $getcontent_data = array(
                'login'    =>  $_SESSION['mu_username'],
                'name'    =>  $_SESSION['mu_nvchon'],
                'action'    =>  'unlock',
                'opd'   =>  $opd,
                'vitri' =>  $vitri,
                
                'pagesv'	=>	'sv_char_lock_item',
                'string_login'    =>  $_SESSION['checklogin'],
                'passtransfer'    =>  $passtransfer
            );
            
            $reponse = _getContent($getcontent_url, $getcontent_data, $getcontent_method, $getcontent_curl);
        
        	if ( empty($reponse) ) $error_module = "Server bảo trì.";
        	elseif($reponse == "login_other") {
        		$error_module = "Tài khoản đã được đăng nhập trên trình duyệt khác hoặc máy tính khác.";
        		session_destroy();
        	}
        	else {
        		if ( read_TagName($reponse, 'info', 1) == 'OK' ) {
                    echo "OK";
        		} else echo $reponse;
        	}
        }
	break;
}



?>